# 开发环境配置文件（27.54.100.167）
NACOS_HOST: 192.168.10.176
NACOS_PORT: 18848
NACOS_PWD: FHZG@nacos2025
NAMESPACE: 682eb787-7279-47d8-8516-79b521f96690

server:
  servlet:
    context-path: /
  port: 19003

spring:
  main:
    allow-bean-definition-overriding: true
  mvc:
    static-path-pattern: /static/**         # 静态资源路径
    view:
      prefix: /WEB-INF/view
  application:
    name: load-transfer-io
  cloud:
    nacos:
      discovery:
        username: nacos
        password: ${NACOS_PWD}
        server-addr: ${NACOS_HOST}:${NACOS_PORT}
        namespace: ${NAMESPACE}
        metadata:
          formdesign: true
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        username: ${spring.cloud.nacos.discovery.username}
        password: ${spring.cloud.nacos.discovery.password}
        namespace: ${spring.cloud.nacos.discovery.namespace}
        file-extension: yml
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension} #公共配置
          - datasource-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}  #数据源配置
          - hussar-common-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension} #轻骑兵框架配置
          - hussar-cloud-oss-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          - load-transfer-custom-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension} #负荷转供系统自定义配置